#include <stdio.h>
#include <string>
#include <iostream>
#include <cstdio>
#include <cstdlib>
#include <string>
#include <cstring>

using namespace std;

int main()
{

    string linha;

    while (true)
    {
        getline(cin, linha);
        if (linha == "0")
        {
            break;
        }
        int n = atoi(linha.c_str());
        int n50, n10, n5;
        int valor;

        for (int x = 0; x < n; x++)
        {
            getline(cin, linha);
            valor = atoi(linha.c_str());
            n50 = 0;
            if (valor > 50)
            {
                n50 = valor / 50;
                valor -= n50 * 50;
            }

            n10 = 0;
            if (valor > 10)
            {
                n10 = valor / 10;
                valor -= n10 * 10;
            }

            n5 = 0;
            if (valor > 5)
            {
                n5 = valor / 5;
                valor -= n5 * 5;
            }

            cout << "Caso de Teste " << (x + 1) << ": " << n50 << " " << n10 << " " << n5 << " " << valor << "\n";
        }
    }

    return 0;
}